$!-----------------------------------------------------------------------------
$! CREATE_SUPPORT_FILES.COM
$!
$! Ensure required files for certificate creation are present.
$! This procedure is very "quick-and-dirty", use with that in mind!
$!
$! 09-SEP-1999  MGD  refinement, OpenSSL v0.9.4
$! 04-JUN-1999  MGD  OpenSSL v0.9.3 (adapted from earlier procedures)
$!-----------------------------------------------------------------------------
$!
$ if f$search("CERT.DIR;") .eqs. "" -
     then create /directory /protect=w [.CERT]
$ if f$search("[.CERT]WORK.DIR;") .eqs. "" -
     then create /directory /protect=w [.CERT.WORK]
$!
$ if f$search("[.CERT.WORK]WASD.RND;") .eqs. ""
$ then
$    open /write rnd [.CERT.WORK]RAND.DAT
$    write rnd f$cvtime()
$    close rnd
$    purge /nolog [.CERT.WORK]RAND.DAT
$ endif
$!
$ if f$search("[.CERT.WORK]INDEX.TXT;") .eqs. ""
$ then
$    create [.CERT.WORK]INDEX.TXT; /fdl=SYS$INPUT:
FILE
ORGANIZATION sequential
RECORD
CARRIAGE_CONTROL carriage_return
FORMAT stream_LF
$ endif
$!
$ if f$search("[.CERT.WORK]SERIAL.TXT;") .eqs. ""
$ then
$    create [.CERT.WORK]SERIAL.TXT; /fdl=SYS$INPUT: 
FILE
ORGANIZATION sequential
RECORD
CARRIAGE_CONTROL carriage_return
FORMAT stream_LF
$    open /append file [.CERT.WORK]SERIAL.TXT;
$    write file "0001"
$    close file
$ endif
$!
$!-----------------------------------------------------------------------------
